summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-05-31 17:40:35 +0000
committerMichał Górny <mgorny@gentoo.org>2013-05-31 17:40:35 +0000
commit5a6a2070d2ce24c6ef1619b002e35f5a3ed8d85a (patch)
tree6f5bb6a1d4db7810e6154cbb8c8e0003eec02e36 /eclass/python-utils-r1.eclass
parentStable for HPPA (bug #471912). (diff)
downloadgentoo-2-5a6a2070d2ce24c6ef1619b002e35f5a3ed8d85a.tar.gz
gentoo-2-5a6a2070d2ce24c6ef1619b002e35f5a3ed8d85a.tar.bz2
gentoo-2-5a6a2070d2ce24c6ef1619b002e35f5a3ed8d85a.zip
Use cat rather than echo for heredoc output :).
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index bbd308589a74..14679145b137 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.24 2013/05/10 22:03:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.25 2013/05/31 17:40:35 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -892,7 +892,7 @@ python_wrapper_setup() {
local x
for x in "${nonsupp[@]}"; do
- echo >"${workdir}"/bin/${x} <<__EOF__ || die
+ cat >"${workdir}"/bin/${x} <<__EOF__ || die
#!/bin/sh
echo "${x} is not supported by ${EPYTHON}" >&2
exit 1